rel 6 13
mark 1 @
mark 2 y-8#1
mark 3 x6y-4#1
mark 4 x4#3
mark 5 x4y3#4
mark 6 x4y-3#4
mark 11 x1y-1#1
mark 12 x1y1#1
mark 13 x-1.414#1
mark 14 x-4#1
mark 15 x1y1#12
mark 21 x1y1#2
mark 22 x1y-1#2
mark 23 x-1.414#2
mark 24 x-4#2
mark 25 x1y-1#22
draw #14 #13
draw #12 #15
draw #24 #23
draw #22 #25
circle #1 1.414
circle #2 1.414
fermion #11 #3
fermion #3 #21
photon #3 #4
fermion #4 #5
fermion #6 #4
expand 2.1
relocate    4.7       13.0
label f\dq(\ix\d1)
relocate    4.7       5.0
label f\dq(\ix\d2)
relocate    5.15       4.92
draw 5.45 4.92
expand 1.8
relocate    9.356       11.28
label \ix\d1P\d1
relocate    9.356       7.0
label \ix\d2P\d2
relocate    19.556       11.18
label \il\u-
relocate    19.556       6.83
label \il\u+
relocate    12.9       9.8
label \gg\u*(M)
relocate    2.7       13.8
label P\d1
relocate    2.7       5.8
label P\d2
rel 2 13.2
draw 4.6 13.2
rel 2 5.2 
draw 4.6 5.2
! 
rel        7.80       15.00
draw       6.90       14.10
rel        8.20       15.00
draw       7.10       13.90
! 
rel        7.80       3.00
draw       6.90       3.90
rel        8.20       3.00
draw       7.10       4.10
